##
##  tomcat-adapter.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         tomcat-adapter
Summary:      Apache Jakarta Tomcat Webserver Adapter
URL:          http://jakarta.apache.org/
Vendor:       Apache Software Foundation
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Web
License:      Apache Software License 1.1
Version:      3.2.4
Release:      20021220

#   list of sources
Source0:      http://jakarta.apache.org/builds/jakarta-tomcat/release/v%{version}/src/jakarta-tomcat-%{version}-src.tar.gz
Source1:      tomcat-adapter.conf

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, JDK, apache, gcc, perl
PreReq:       OpenPKG, openpkg >= 20020206, JDK
AutoReq:      no
AutoReqProv:  no

%description
    Apache Jakarta Tomcat Webserver Adapter %{version} is a glue code
    between the Apache webserver and Tomcat.

%prep
    %setup -q -n jakarta-tomcat-%{version}-src

%build
    #   determine platform dependent things
    opts=""; subdir=""
    case "%{l_target}" in
        *-freebsd*) opts="-DFREEBSD";          subdir=freebsd ;;
        *-linux*)   opts="-DLINUX";            subdir=linux   ;;
        *-solaris*) opts="-DSOLARIS -lposix4"; subdir=solaris ;;
    esac

    #   create installation tree
    cd src/native/apache1.3
    %{l_prefix}/sbin/apxs \
        $opts \
        -S CC=%{l_prefix}/bin/gcc \
        -S LD_SHLIB=%{l_prefix}/bin/gcc \
        -I../jk -I%{l_prefix}/libexec/j2se/include \
        -I../jk -I%{l_prefix}/libexec/j2se/include/$subdir \
        -o mod_jk.so \
        -c mod_jk.c ../jk/*.c

%install
    rm -rf $RPM_BUILD_ROOT

    #   create installation tree
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/tomcat-adapter \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/tomcat-adapter \
        $RPM_BUILD_ROOT%{l_prefix}/var/tomcat-adapter

    #   install config
    %{l_shtool} install -c -m 644 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE tomcat-adapter.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/tomcat-adapter/

    #   install DSO
    %{l_shtool} install -c -m 755 \
        src/native/apache1.3/mod_jk.so \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/tomcat-adapter

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

